Package org.mozilla.javascript.xml

## Class XMLLib.Factory

- java.lang.Object
- - org.mozilla.javascript.xml.XMLLib.Factory

- Enclosing class:
    XMLLib

      public abstract static class XMLLib.Factory
      extends java.lang.Object

  An object which specifies an XMLLib implementation to be used at runtime. This interface should be considered experimental. It may be better (and certainly more flexible) to write an interface that returns an XMLLib object rather than a class name, for example. But that would cause many more ripple effects in the code, all the way back to `ScriptRuntime`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static XMLLib.Factory` | `create​(java.lang.String className)` |
    `abstract java.lang.String` | `getImplementationClassName()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### create

          public static XMLLib.Factory create​(java.lang.String className)

    - #### getImplementationClassName

          public abstract java.lang.String getImplementationClassName()